%define upstream_name	 Authen-SASL
%define upstream_version 2.1800

%global __requires_exclude perl\\\(GSSAPI\\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    SASL Authentication framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/G/GB/GBARR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildArch:  noarch

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all protocols
should be able to share.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -I. Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/*/*
%{perl_vendorlib}/Authen

%changelog
* Thu May 01 2025 tv <tv> 2.180.0-1.mga10
+ Revision: 2180276
- update to 2.1800

* Tue Aug 29 2023 tv <tv> 2.170.0-1.mga10
+ Revision: 1980920
- update to 2.1700

* Sun Mar 20 2022 umeabot <umeabot> 2.160.0-13.mga9
+ Revision: 1808335
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.160.0-12.mga8
+ Revision: 1503475
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.160.0-11.mga7
+ Revision: 1281815
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.160.0-10.mga7
+ Revision: 1163145
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 2.160.0-9.mga7
+ Revision: 1157295
- fix build without requiring Module::Install

* Thu Sep 21 2017 guillomovitch <guillomovitch> 2.160.0-8.mga7
+ Revision: 1156651
- fix build dependencies

* Sat Jun 18 2016 pterjan <pterjan> 2.160.0-7.mga6
+ Revision: 1022671
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.160.0-6.mga6
+ Revision: 931378
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.160.0-5.mga5
+ Revision: 744959
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.160.0-4.mga5
+ Revision: 683574
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 2.160.0-3.mga4
+ Revision: 509225
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.160.0-2.mga3
+ Revision: 363243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 kharec <kharec> 2.160.0-1.mga3
+ Revision: 288478
- Add a BR on Digest::HMAC_MD5
- update to 2.16

* Fri Jan 21 2011 jquelin <jquelin> 2.150.0-3.mga1
+ Revision: 29685
- rebuild
- mageia rebuild

* Mon Jan 17 2011 spuhler <spuhler> 2.150.0-2.mga1
+ Revision: 20856
- commented the if mdkversion lines
- removed buildroot definition from .spec
- imported package perl-Authen-SASL

